import org.cws.Stream;

public class MyStream extends org.cws.Stream
{
    public MyStream(String name, int width, int height) throws Exception
    {
        super(name, width, height);
    }

    /* Called when the first HTTP client connects to this stream */

    /* This call will happen on a foreign thread via a libcws I/O loop
     * DO NOT BLOCK or you will prevent libcws from working correctly */
    public void streamStarted()
    {
        System.out.println("streamStarted()");
    }

    /* Called when the last HTTP client disconnects from this stream */

    /* This call will happen on a foreign thread via a libcws I/O loop
     * DO NOT BLOCK or you will prevent libcws from working correctly */
    public void streamStopped()
    {
        System.out.println("streamStopped()");
    }
}
